/*
*/
/**
@file Keyboard.h
@brief Stripped down keyboard

Same old keyboard with no slewing and less fucntionality elsewhere

\author    chipc
\version   1.0
\date      Jun 8, 2018
*/


#ifndef INC_KEYBOARD_H_
#define INC_KEYBOARD_H_



/*#################################Includes##################################*/

/*##############################Public Definitions###########################*/
enum KEY_VALUES
{
	KEY_NULL,

	KEY_DOWN = 8,

	KEY_UP = 4
};

#define KEYBOARD_MASK 0x0C /*Which pins on the port to look at*/
/*##############################Public Data##################################*/


/*###############################Public Functions############################*/

void KeyboardDebounce(void);
U8 KeyboardGetKey(void);

#endif /* INC_KEYBOARD_H_ */







